<?php
include_once '../php/config.php';
include_once '../header.php';
$id= $_GET["id"];

$sql = mysql_query("select * from inscripciones where id='$id'") or die(mysql_error());
$nombre =  @mysql_result($sql, 0, "nombre");

$monto =  @mysql_result($sql, 0, "monto");
$monto_pagos =  @mysql_result($sql, 0, "monto_pagos");
$proximo_pago =  @mysql_result($sql, 0, "proximo_pago");
$tipo =  @mysql_result($sql, 0, "tipo");
////echo date("H:i:s");

?>

<style>
    body{
        background: #ebedef;

    }
.titulos_p{
    font-size:12px;
}
.row{
	margin-top:8px;
		
	
}
    
</style>
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            
            <div class="panel panel-default">
               <div class="panel-heading">

               </div>
                <div class="panel-body">
                     <form id="frm" method="POST">
					 
					 
				 
				   <div class="row">
				   
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Codigo cliente </span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="codigo" name="codigo" value="<?php echo $id?>" readonly>
                    </div>
				 </div> 
				 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Paga el dia</span>
                    </div>

                    <div class="col-md-10">
                       <?php echo $proximo_pago?>
                    </div>
				 </div> 
				 
				 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Tipo pago</span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="tipo" name="tipo" value="<?php echo $tipo?>">
                    </div>
				 </div> 
				 
                   <div class="row">
				   
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Nombre cliente</span>
                    </div>

                    <div class="col-md-10">
                       <input type="text" class="form-control" id="nombre" name="nombre" value="<?php echo $nombre?>">
                    </div>
				 </div> 
				 
				
				 
				
				  
				 	 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Paga</span>
                    </div>

                    <div class="col-md-10">
                       <input type="number" class="form-control" id="monto_pagos" name="monto_pagos" readonly value="<?php echo $monto_pagos?>">
                    </div>
				 </div>
				 
				  <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Monto pagado</span>
                    </div>

                    <div class="col-md-10">
                       <input type="number" class="form-control" id="pagado" name="pagado" value="<?php echo $monto?>">
                    </div>
				 </div>
				
				
				 	 <div class="row">
                    <div class="col-md-2 mt-2">
                        <span class="titulos_p mt-2">Fecha</span>
                    </div>

                    <div class="col-md-10">
                       <input type="Date" class="form-control" id="fecha" name="fecha"  value="<?php echo $hoy?>">
                    </div>
				 </div>
				 
				  
				 
				 <hr>
                    <button class="btn btn-verde" type="submit" name="grabar" id="grabar"><i class="bi bi-save"></i> Grabar pago</button>
					
					<button class="btn btn-secondary" type="submit" name="salir" id="salir"><i class="bi bi-undo"></i> Salir</button>
                
				    </form> 
				 </div> 
                  
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
<?php

include_once '../footer.php';
?>

<script>
$(function(){
	$("#pagado").focus();
	$("#pagado").select();
	$("#grabar").click(function(e){
		e.preventDefault();
		
		_enviar("insertar.php", $("#frm").serialize())
		.done(function(data){
			if(data=="1"){
				imprimir()
				///window.location.href="inscripciones.php";
			}else{
				alert(data);
			}
		})
	})
})

$(function(){
	$("#salir").click(function(e){
		e.preventDefault();
		window.location.href="../inscripciones/inscripciones.php";
	})
})

function imprimir(){
	$.get("ultimo_pago.php", function(data,st){
		if(st=="success"){
			if(dispositivo=="movil"){
			window.location.href='recibo_mobil.php?id='+data;

			}else{
				window.open('recibo_ingreso.php?id='+data, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
			}
			setTimeout(function(){
				window.location.href="../inscripciones/inscripciones.php";
			},2000)
		}
	})
}


var dispositivo="";

if(isMobile()){
  dispositivo = "movil";
}else{
  dispositivo = "pc";
}


function isMobile(){
    return (
        (navigator.userAgent.match(/Android/i)) ||
        (navigator.userAgent.match(/webOS/i)) ||
        (navigator.userAgent.match(/iPhone/i)) ||
        (navigator.userAgent.match(/iPod/i)) ||
        (navigator.userAgent.match(/iPad/i)) ||
        (navigator.userAgent.match(/BlackBerry/i))
    );
}
</script>